Bug 695617 - Error stating file /var/run/ConsoleKit/database in nm_session_monitor_init()
Error stating file /var/run/ConsoleKit/database in nm_session_monitor_init()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 04:18 EDT by Jaroslav Reznik
Modified: 2011-05-27 16:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.999-3.git20110526.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-27 16:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2011-04-12 04:18:11 EDT
Description of problem: after grepping /var/log/messages for "<error>" conditions, NetworkManager errors can be found.  

Apr 13 09:47:31 localhost NetworkManager[840]: <error> [1302702451.1788] [nm-session-monitor.c:326] nm_session_monitor_init(): Error loading /var/run/ConsoleKit/database: Error statting file /var/run/ConsoleKit/database: No such file or directory

/var/run/ConsoleKit/database could be stat after boot, so probably ConsoleKit is not available in the time when NM needs it or SELinux issue (but nothing in troubleshooter?)?

Version-Release number of selected component (if applicable):
NetworkManager-0.8.998-2.git20110406.fc15.x86_64
ConsoleKit-0.4.4-1.fc15.x86_64
systemd-24-1.fc15.x86_64


How reproducible:
Everytime

Steps to Reproduce:
1. boot Live CD Fedora 15 Beta RC2 KDE image
2. dmesg /var/log/messages | grep "<error>" 
  
Actual results:
Error messages in /var/log/messages
Comment 1 MartinKG 2011-05-13 18:49:06 EDT
same error here /var/log/messages):

May 14 00:32:27 localhost NetworkManager[756]: <error> [1305325947.483948] [nm-session-monitor.c:349] nm_session_monitor_init(): Error loading /var/run/ConsoleKit/database: Error statting file /var/run/ConsoleKit/database: No such file or directory
May 14 00:32:27 localhost NetworkManager[756]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
May 14 00:32:27 localhost NetworkManager[756]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 14 00:32:27 localhost NetworkManager[756]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
May 14 00:32:27 localhost NetworkManager[756]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-pci4p1 ...
May 14 00:32:27 localhost NetworkManager[756]:    ifcfg-rh:     read connection 'System pci4p1'
May 14 00:32:27 localhost NetworkManager[756]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
May 14 00:32:27 localhost NetworkManager[756]: <info> trying to start the modem manager...

Fedora 15 beta
Comment 2 Dan Williams 2011-05-25 16:12:52 EDT
Upstream fix is:

a2dcf524bbd2a8d7861356ce91919ec43b474548
Comment 3 Fedora Update System 2011-05-26 12:23:34 EDT
NetworkManager-0.8.999-3.git20110526.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.999-3.git20110526.fc15
Comment 4 Fedora Update System 2011-05-26 17:56:30 EDT
Package NetworkManager-0.8.999-3.git20110526.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.999-3.git20110526.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.999-3.git20110526.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-05-27 16:22:36 EDT
NetworkManager-0.8.999-3.git20110526.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.